.taxitiles {
    width: 180px;
    height: 320px;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: flex-end;
    padding: 0 36px;
    perspective: 2500px;
    margin: 0 50px;
    border-radius: 8px;
}

.cover-image {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 8px;
}

.wrapper {
    transition: all 0.5s;
    position: absolute;
    width: 100%;
    height: 260px;
    z-index: -1;
    border-radius: 8px;
}

.taxitiles:hover .wrapper {
    transform: perspective(900px) translateY(-5%) rotateX(25deg) translateZ(0);
    box-shadow: 2px 35px 32px -8px rgba(0, 0, 0, 0.75);
    -webkit-box-shadow: 2px 35px 32px -8px rgba(0, 0, 0, 0.75);
    -moz-box-shadow: 2px 35px 32px -8px rgba(0, 0, 0, 0.75);
    border-radius: 8px;
}

.wrapper::before,
.wrapper::after {
    content: "";
    opacity: 0;
    width: 100%;
    height: 80px;
    transition: all 0.5s;
    position: absolute;
    left: 0;
    border-radius: 8px;
}
.wrapper::before {
    top: 0;
    height: 100%;
    background-image: linear-gradient(
            to top,
            transparent 46%,
            rgba(12, 13, 19, 0.5) 68%,
            rgba(12, 13, 19) 97%
    );
}
.wrapper::after {
    bottom: 0;
    opacity: 1;
    background-image: linear-gradient(
            to bottom,
            transparent 46%,
            rgba(12, 13, 19, 0.5) 68%,
            rgba(12, 13, 19) 97%
    );
}

.taxitiles:hover .wrapper::before,
.wrapper::after {
    opacity: 1;
}

.taxitiles:hover .wrapper::after {
    height: 80px;
}
.title {
    width: 100%;
    transition: transform 0.5s;
}
.card:hover .title {
    transform: translate3d(0%, -50px, 100px);
}